#
# spec file for package python-blinker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-blinker
Version:        1.3
Release:        5.5
Url:            http://discorporate.us/projects/Blinker/
Summary:        Fast, simple object-to-object and broadcast signaling
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/b/blinker/blinker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  unzip
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Blinker provides a fast dispatching system that allows any number of
interested parties to subscribe to events, or "signals".

Signal receivers can subscribe to specific senders or receive signals
sent by any sender.

%prep
%setup -q -n blinker-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README docs/html
%{python_sitelib}/blinker/
%{python_sitelib}/blinker-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Feb 22 2015 benoit.monin@gmx.fr
- update to version 1.3:
  * The global signal stash behind blinker.signal() is now backed
    by a regular name-to-Signal dictionary
  * blinker.Namespace is now built on a regular dict
  * Signal.connect('text-sender') uses an alterate hashing strategy
    to avoid sharp edges in text identity.
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
- spec improved (files section)
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 1.2:
  + Added Signal.receiver_connected and
    Signal.receiver_disconnected per-Signal signals.
  + Deprecated the global 'receiver_connected' signal.
  + Verified Python 3.2 support (no changes needed!)
* Fri Sep 23 2011 saschpe@suse.de
- Initial version
